Summary: log file analysis
Name: logsurfer+
Packager: Ralf Spenneberg <ralf@spenneberg.de>
Version: 1.6b
Release: fc2
#Source: ftp://ftp.cert.dfn.de/pub/tools/audit/logsurfer/%{name}-%{version}.tar
Source: http://kerryt.orcon.net.nz/logsurfer+-%{version}.tar.gz
Copyright: free to use
Group: Applications/Log
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr

%description
The program "logsurfer" was designed to monitor any text-based logfiles on your system in realtime. The large amount of loginformation collected (like all messages handled by the syslog-daemon or logfiles from your information services FTP, WWW etc.) makes it nearly impossible to check your logs manually to find any unusual activity. You need a program to do this for you. If you don't want to use a script that checks your logs in certain time intervals (like once a day) then you might be interested in the programs like swatch or logsurfer.


%prep
%setup

%build
./configure --prefix=/usr --mandir=/usr/share/man --with-etcdir=/etc
CFLAGS=${RPM_OPT_FLAGS} make

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/share/man/man1
mkdir -p ${RPM_BUILD_ROOT}/usr/share/man/man4
make install prefix=${RPM_BUILD_ROOT}/usr mandir=${RPM_BUILD_ROOT}/usr/share/man
%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(0644, root, root, 0755)
%doc INSTALL ChangeLog DISCLAIMER README TODO Y2K contrib/ regex/
%attr(755, root, root) %{_bindir}/logsurfer
%{_mandir}/man1/logsurfer*
%{_mandir}/man4/logsurfer*


%changelog
* Mon Oct 18 2004 Ralf Spenneberg <ralf@spenneberg.de>
- Updated to logsurfer 1.6b as requested by Alfredo Milani-Comparetti

* Sun Apr 13 2003 Ralf Spenneberg <ralf@spenneberg.de>
- First Release for RedHat 8.0

* Mon May 27 2002 Ralf Spenneberg <ralf@spenneberg.de>
- First Release for RedHat 7.3
